#include "partition.h"
#include <bits/stdc++.h>
#define f first
#define s second
#define pb push_back
#define mp make_pair
#define ll long long
using namespace std;
const ll N=2e6;
vector <int> ans,anss;
std::vector<int> solve(std::vector<int> a) {
    
    ll n=a.size();
    ans.clear();
    anss.clear();
    for (int i=0; i<n; i++){
    	ans.pb(i);
	}
	ll sum=0;
	for (int i=0; i<n; i++){
		sum+=a[i];
	}
	ll mx=n;
	int x=0,dif=0;
	for (int i=0; i<ans.size(); i++){
			x+=a[ans[i]];
			if (x>=(sum+1)/2){
				dif=2*(i+1)-ans.size();
				if (dif<0) dif*=(-1);
				break;
			}
		}
	mx=dif; anss=ans;
	while (next_permutation(ans.begin(),ans.end())){
	
		x=0; dif=0;
		for (int i=0; i<ans.size(); i++){
			x+=a[ans[i]];
			if (x>=(sum+1)/2){
				dif=2*(i+1)-ans.size();
				if (dif<0) dif*=(-1);
				break;
			}
		}
	//	cout<<dif<<endl;
		if (dif<mx){
			mx=dif;
		//	cout<<"???"<<endl;
		anss=ans;
		//	anss.clear();
		//	for (int i=0; i<ans.size(); i++) anss.pb(ans[i]);
		}
	}
	return anss;
	
    
}
